//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

//SDK interface definitions.
typedef long (__stdcall *_FapCreatePDF)(char *filename);
typedef void (__stdcall *_FapClosePDF)(long id);
typedef long (__stdcall *_FapSetPDFSecurity)(long id,long level,long limit,char *userpassword,char *ownerpassword);
typedef long (__stdcall *_FapSetPDFInfo)(long id,char *title,char *subject,char *author,char *keyword,char *creator);
typedef long (__stdcall *_FapAddPS)(long id,char *filename);
typedef long (__stdcall *_FapConvert)(long id);

//document permissions
const PERMISSION_PRINT = 1;
const PERMISSION_COPY = 2;
const PERMISSION_MODIFY = 4;

//Encryption Level
const RC4_40BITS = 40;
const RC4_128BITS = 128;

//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TButton *btnDemo;
    void __fastcall btnDemoClick(TObject *Sender);
private:	// User declarations
	HMODULE        m_hDll;
	_FapCreatePDF  apCreatePDF;
	_FapClosePDF   apClosePDF;
	_FapAddPS      apAddPS;
	_FapConvert    apConvert;
	_FapSetPDFInfo apSetPDFInfo;
	_FapSetPDFSecurity apSetPDFSecurity;

	BOOL LoadDLL();  //Load dynamic link library "ps2pdf.dll"!
	BOOL FreeDLL();  //free dynamic link library "ps2pdf.dll"!
        
public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
